commit 8abd1af24cc877de230c135d36058749c1b80447
parent 0b24c88e68f460ac0e3681101fcc85f3c4bb026b
Author: regexghost <dev@regexghost.com>
Date: Fri, 10 Jul 2026 18:39:12 +0100
moved blog and devlog functions into seperate file, other small changes
Diffstat:
6 files changed, 67 insertions(+), 26 deletions(-)
diff --git a/apt-install.sh b/apt-install.sh
@@ -1,3 +1,3 @@
#!/bin/sh
-sudo apt install curl wget golang xorg xinit x11-xserver-utils bluetooth unzip git firefox mpv vlc tar moc fasd fonts-roboto fonts-firacode figlet jq xcompmgr picom trash-cli ncdu pulsemixer feh moc-ffmpeg-plugin keepassxc-full fzf libnotify-bin dunst texinfo xmlstarlet duf gh tidy w3m bluetooth xclip wbritish wbritish-huge rsync pup rename ifuse libimobiledevice-utils chromium groff zathura zathura-pdf-poppler zathura-ps xdotool pulseaudio-module-bluetooth
+sudo apt install curl wget golang xorg xinit x11-xserver-utils bluetooth unzip git firefox mpv vlc tar moc fasd fonts-roboto fonts-firacode figlet jq xcompmgr picom trash-cli ncdu pulsemixer feh moc-ffmpeg-plugin keepassxc-full fzf libnotify-bin dunst texinfo xmlstarlet duf gh tidy w3m bluetooth xclip wbritish wbritish-huge rsync pup rename ifuse libimobiledevice-utils chromium groff zathura zathura-pdf-poppler zathura-ps xdotool pulseaudio-module-bluetooth sqlite3
diff --git a/dotfiles/.kshrc b/dotfiles/.kshrc
@@ -84,13 +84,16 @@ alias clearlogs='sudo journalctl --vacuum-time=2d'
alias q='exit'
alias reload='. ~/.kshrc'
alias pong='ping -c 2 -W 2'
-alias wp='feh --bg-fill --no-fehbg ~/.config/regexghost/wallpaper.jpg'
+alias wl='feh --bg-fill --no-fehbg ~/.config/regexghost/wallpaper.jpg'
alias capture-window='echo "Focus window to capture" && sleep 1 && id="$(xdotool getactivewindow)" && echo "Got id" && sleep 1 && import -frame -window "$id"'
alias da='download-vids && download-pods'
alias wb='~/Programs/websites/personal-website/scripts/build.sh'
+alias wp='push-website /tmp/mainwebsite/build/'
alias sshr='ssh racknerd'
alias qv='queue-vid'
alias dns='dig A +short'
+alias vp='vid-play'
+alias vps='vid-play -s'
# Bug todo
@@ -330,30 +333,6 @@ alias loc='cd ~/.local/share/'
alias bin='cd ~/.local/bin/'
alias con='cd ~/.config/'
-blog () {
- dir="$HOME/Programs/websites/personal-website/blog/$(date +%Y/%B | awk '{print tolower($0)}')"
- [ -d "$dir" ] && cd "$dir" || mkdir -p "$dir" && cd "$dir"
-}
-
-devlog () {
- month_num="$(date "+%m")"
- month_name="$(date "+%B")"
- year="$(date "+%Y")"
- date="$(date "+%d")"
- filename="$HOME/Programs/websites/personal-website/devlog/${year}-${month_num}-${month_name}.md"
-
- if [ -f "$filename" ]; then
- "${VISUAL:-${EDITOR:-vi}}" "$filename"
- else
- echo "+++" >> "$filename"
- echo "title = \"${month_name} ${year} Devlog\"" >> "$filename"
- echo "datePublished = ${year}-${month_num}-${date}" >> "$filename"
- echo "template = \"blog-page.html\"" >> "$filename"
- echo "+++" >> "$filename"
- "${VISUAL:-${EDITOR:-vi}}" "$filename"
- fi
-}
-
to () {
cd "$(directory_bookmarks get "$1")"
}
diff --git a/dotfiles/.profile b/dotfiles/.profile
@@ -31,4 +31,5 @@ export BROWSER="netsurf-gtk"
export PATH=~/.local/bin:$PATH:~/.npm/bin:~/.local/share/npm/bin:~/.local/share/go/bin:~/.local/share/cargo/bin
export TERMINAL="st"
export IMAGE_VIEWER="sxiv"
+export VIDEO_PLAYER="mpv"
export ENV="$HOME/.kshrc"
diff --git a/otherPrograms.sh b/otherPrograms.sh
@@ -393,6 +393,15 @@ fastfetch () {
cd ..
}
+dragon () {
+ sudo apt install libgtk-3-dev
+ git clone https://github.com/mwh/dragon
+ cd dragon
+ make
+ cp dragon ~/.local/bin/dragon
+ cd ..
+}
+
build () {
read -p "q to quit, s to skip (next: $1)" qToQuit
[ "$qToQuit" = "q" ] && exit
@@ -427,6 +436,7 @@ elif [ "$1" = "notmine" ]; then
build dotacat
build mepo
build fastfetch
+ build dragon
build retroarch
echo "done"
elif [ "$1" = "jwm" ]; then
@@ -479,6 +489,8 @@ elif [ "$1" = "mepo" ]; then
mepo
elif [ "$1" = "fastfetch" ]; then
fastfetch
+elif [ "$1" = "dragon" ]; then
+ dragon
elif [ "$1" = "alpine" ]; then
alpine
else
diff --git a/terminal-scripts/Makefile b/terminal-scripts/Makefile
@@ -39,3 +39,4 @@ normal:
cp media-cut.sh ${BIN}/media-cut
cp os-transfer-backup.sh ${BIN}/os-transfer-backup
cp vid-play.sh ${BIN}/vid-play
+ cp blog.sh ${BIN}/blog
diff --git a/terminal-scripts/blog.sh b/terminal-scripts/blog.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+blog () {
+ dir="$HOME/Programs/websites/personal-website/blog/$(date +%Y/%B | awk '{print tolower($0)}')"
+ [ -d "$dir" ] || mkdir -p "$dir"
+ month_num="$(date "+%m")"
+ year="$(date "+%Y")"
+ date="$(date "+%d")"
+ read -p "Enter filename: " filename
+ read -p "Enter title: " title
+ if ! echo "$filename" | grep -q ".md$"; then
+ filename="${filename}.md"
+ fi
+ echo "+++" >> "$filename"
+ echo "title = \"${title}\"" >> "$filename"
+ echo "datePublished = ${year}-${month_num}-${date}" >> "$filename"
+ echo "template = \"blog-page.html\"" >> "$filename"
+ echo "+++" >> "$filename"
+ "${VISUAL:-${EDITOR:-vi}}" "$filename"
+}
+
+devlog () {
+ month_num="$(date "+%m")"
+ month_name="$(date "+%B")"
+ year="$(date "+%Y")"
+ date="$(date "+%d")"
+ filename="$HOME/Programs/websites/personal-website/devlog/${year}-${month_num}-${month_name}.md"
+
+ if [ -f "$filename" ]; then
+ "${VISUAL:-${EDITOR:-vi}}" "$filename"
+ else
+ echo "+++" >> "$filename"
+ echo "title = \"${month_name} ${year} Devlog\"" >> "$filename"
+ echo "datePublished = ${year}-${month_num}-${date}" >> "$filename"
+ echo "template = \"blog-page.html\"" >> "$filename"
+ echo "+++" >> "$filename"
+ "${VISUAL:-${EDITOR:-vi}}" "$filename"
+ fi
+}
+
+case "$1" in
+ b*)
+ blog
+ ;;
+ d*)
+ devlog
+ ;;
+esac